package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import jp.veritrans.mpos.v2.sdk.sample.R;

public class MainMenu extends SceneBase {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main_menu);
	}

	public void onButtonPayment(View v) {
		this.changeScene(Payment.class);
	}

	public void onButtonSearch(View v) {
		this.changeScene(Search.class);
	}

	public void onButtonMail(View v) {
		this.changeScene(Mail.class);
	}

	public void onButtonRefund(View v) {
		this.changeScene(Refund.class);
	}

	public void onButtonPassword(View v) {
		this.changeScene(Password.class);
	}

	public void onButtonReport(View v) {
		this.changeScene(Report.class);
	}

	public void onButtonReaderAppUpdateBT(View v) {
		this.changeScene(ReaderAppUpdateBT.class);
	}

	public void onButtonSetting(View v) {
		this.changeScene(Setting.class);
	}

	/**
	 * 指定画面に画面遷移
	 *
	 * @param anyClass 画面遷移先クラス
	 */
	private void changeScene(Class anyClass) {
		Intent intent = new Intent(this, anyClass);
		startActivity(intent);
	}
}
