package jp.veritrans.mpos.v2.sdk.sample.scene;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import jp.veritrans.mpos.v2.sdk.sample.R;

public class Log extends SceneBase {

	/** ログデータの受け入れ先 */
	public static StringBuilder logData = null;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_log);
	}

	@Override
	public void setContentView(int layoutResID) {
		super.setContentView(layoutResID);

		TextView textViewLog = findViewById(R.id.textViewLog);
		if (logData != null) {
			textViewLog.setText(logData.toString());
		}
	}

	/**
	 * Clearボタンが押された時
	 *
	 * @param v ボタンView
	 */
	public void onButtonClear(View v) {
		// ログデータを空にする
		TextView textViewLog = findViewById(R.id.textViewLog);
		textViewLog.setText("");
		logData.setLength(0);
	}
}
